package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwHsGlorgbook;
import com.dhcc.finance.main.domain.CwHsGlorgbookExample;
import com.dhcc.finance.main.domain.CwHsSubcodemap;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwHsGlorgbookMapper {
    long countByExample(CwHsGlorgbookExample example);

    int deleteByExample(CwHsGlorgbookExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwHsGlorgbook record);

    int insertSelective(CwHsGlorgbook record);

    List<CwHsGlorgbook> selectByExample(CwHsGlorgbookExample example);

    CwHsGlorgbook selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwHsGlorgbook record, @Param("example") CwHsGlorgbookExample example);

    int updateByExample(@Param("record") CwHsGlorgbook record, @Param("example") CwHsGlorgbookExample example);

    int updateByPrimaryKeySelective(CwHsGlorgbook record);

    int updateByPrimaryKey(CwHsGlorgbook record);
    /**
     * 功能描述
     * @return List<CwHsGlorgbook>
     * @author huangpeng
     * @param glorgbookCode 
     * @date 2019年7月26日 下午5:27:17
     * 修改日志
     */
	List<CwHsGlorgbook> selectCwHsGlorgbookAllData(@Param("glorgbookCode") String glorgbookCode);
    /**
     * Title: deletCwHsGlorgbookinfo <br/>  
     * Description: TODO逻辑删除估值账套对照表信息 <br/>
     * @author lipeng 
     * @return int
     * @date 2019年7月27日 下午6:01:42
     */
	int  deletCwHsGlorgbookinfo(@Param("IdList") List<String>  IdList);
	/**
     * Title: deletCwHsGlorgbookinfo <br/>  
     * Description: TODO按照productId查询账套对照表信息 <br/>
     * @author lipeng 
     * @return int
     * @date 2019年7月27日 下午6:01:42
     */
	List<CwHsSubcodemap>  selectCwHsGlorgbookAndCwHsSub(@Param("productId") String  productId,@Param("subCode") String  subCode,@Param("subCodeV") String  subCodeV);
	/**
     * Title: deletCwHsGlorgbookinfo <br/>  
     * Description: TODO按照productId查询账套对照表信息的数目 <br/>
     * @author lipeng 
     * @return int
     * @date 2019年7月27日 下午6:01:42
     */
	int selectCwHsGlorgbookCount (@Param("productId") String  productId);
	/**
	 * 
	 * Title: insertForbatch <br/>  
	 * Description: TODO 批量插入帐套对应的科目信息<br/>
	 * @author lipeng 
	 * @param projectId
	 * @return int
	 * @date 2019年7月28日 下午5:44:58
	 */
	int insertForbatch(String productId);
	/**
	 * Title: updateMapFlog <br/>  
	 * Description: TODO 修改帐套的导入标志<br/>
	 * @author lipeng 
	 * @param projectId void
	 * @return 
	 * @return 
	 * @date 2019年7月29日 上午12:01:23
	 */
	void updateMapFlog(String projectId); 
	/**
	 * Title: selectGlorgbookSame <br/>  
	 * Description: TODO 查询是否有相同帐套<br/>
	 * @author lipeng 
	 * @param GlorgbookCode
	 * @return int
	 * @date 2019年7月29日 下午12:49:11
	 */
	int  selectGlorgbookSame(String  GlorgbookCode);
	
}